;-----------= Gray83 Test 2 =-----------
; Author:       Ian Graf
;               (ian_graf@geocities.com)
; Version:      1.0
; Platform:     CrASH
; Date:         6/22/00
;---------------------------------------
 #include "ti82.h"

        #define         dbuffer         ; double buffer screen
        #define         fastupdate      ; skip standard int routine
        #define         gsprite         ; include sprite routine
        #define         clip            ; clip sprite

        .org    START_ADDR
desc:   .db     "Gray82 Double Buffer Test",0


start_of_program:
        call    grayscaleon             ; turn on gray scale
        ret     c                       ; quit if not enough mem
        ld      b,43                    ; center sprite
        ld      c,27                    ;
keyl:   ld      a,$FF                   ;
        out     (1),a                   ;
        ld      a,$FE                   ;
        out     (1),a                   ;
        in      a,(1)                   ;
        srl     a                       ; move sprite down
        jr      c,left                  ;
        inc     c                       ;
left:   srl     a                       ; move sprite left
        jr      c,right                 ;
        dec     b                       ;
right:  srl     a                       ; move sprite right
        jr      c,up                    ;
        inc     b                       ;
up:     srl     a                       ; move sprite up
        jr      c,clear                 ;
        dec     c                       ;
clear:  ld      a,$FF                   ;
        out     (1),a                   ;
        ld      a,$FD                   ;
        out     (1),a                   ;
        in      a,(1)                   ;
        and     %01000000               ; quit
        jp      z,grayscaleoff          ; turn off grayscale
        push    bc                      ;
        call    clrbuf                  ; clear buffers
        pop     bc                      ;
        push    bc                      ;
        ld      ix,testsprite           ;
        call    graysprite              ; draw sprite
        call    swpbuf                  ; update screen
        pop     bc                      ;
        jr      keyl                    ;


testsprite:
        .db     %00110110
        .db     %01111111
        .db     %01101011
        .db     %01100011
        .db     %00110110
        .db     %00011100
        .db     %00001000
        .db     %00000000
        .db     %00110110
        .db     %01001001
        .db     %01010101
        .db     %01011101
        .db     %00101010
        .db     %00010100
        .db     %00001000
        .db     %00000000
        .db     %11001001
        .db     %10000000
        .db     %10000000
        .db     %10000000
        .db     %11000001
        .db     %11100011
        .db     %11110111
        .db     %11111111


        #include        "gray82.inc"
 .db 0

        .end
